Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageSkeleton2D Class Reference

`#include <vtkImageSkeleton2D.h>`

Inheritance diagram for vtkImageSkeleton2D:

[legend]
Collaboration diagram for vtkImageSkeleton2D:

[legend]
List of all members.

## Detailed Description

Skeleton of 2D images.

Date:
  2002/01/22 15:33:29

Revision:
  1.27

vtkImageSkeleton2D should leave only single pixel width lines of non-zero-valued pixels (values of 1 are not allowed). It works by erosion on a 3x3 neighborhood with special rules. The number of iterations determines how far the filter can erode. There are three pruning levels: prune == 0 will leave traces on all angles... prune == 1 will not leave traces on 135 degree angles, but will on 90. prune == 2 does not leave traces on any angles leaving only closed loops. Prune defaults to zero. The output scalar type is the same as the input.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (85%)
  - Martin, Ken (8%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageSkeleton2D.h)`
  - .`cxx` (`/Imaging/vtkImageSkeleton2D.cxx)`

Tests:
  vtkImageSkeleton2D (Tests)

Definition at line 52 of file vtkImageSkeleton2D.h.

## Public Types
typedef vtkImageIterateFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetNumberOfIterations (int num)
virtual void | IterativeExecuteData (vtkImageData *in, vtkImageData *out)
virtual void | SetPrune (int)
virtual int | GetPrune ()
virtual void | PruneOn ()
virtual void | PruneOff ()
## Static Public Methods
vtkImageSkeleton2D * | New ()
int | IsTypeOf (const char *type)
vtkImageSkeleton2D * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageSkeleton2D ()
| ~vtkImageSkeleton2D ()
void | ComputeInputUpdateExtent (int inExt[6], int outExt[6])
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int outExt[6], int id)
## Protected Attributes
int | Prune

## Member Typedef Documentation

typedef vtkImageIterateFilter vtkImageSkeleton2D::Superclass

| Reimplemented from vtkImageIterateFilter. Definition at line 56 of file vtkImageSkeleton2D.h.

## Constructor & Destructor Documentation

vtkImageSkeleton2D::vtkImageSkeleton2D | ( |  | ) | `[protected]`

vtkImageSkeleton2D::~vtkImageSkeleton2D | ( |  | ) | `[inline, protected]`

| Definition at line 74 of file vtkImageSkeleton2D.h.

## Member Function Documentation

vtkImageSkeleton2D* vtkImageSkeleton2D::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageSkeleton2D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageIterateFilter.

int vtkImageSkeleton2D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageIterateFilter.

virtual int vtkImageSkeleton2D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageIterateFilter.

vtkImageSkeleton2D* vtkImageSkeleton2D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageIterateFilter.

void vtkImageSkeleton2D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageIterateFilter.

virtual void vtkImageSkeleton2D::SetPrune | ( | int |  | ) | `[virtual]`

| When prune is on, only closed loops are left unchanged.

virtual int vtkImageSkeleton2D::GetPrune | ( |  | ) | `[virtual]`

| When prune is on, only closed loops are left unchanged.

virtual void vtkImageSkeleton2D::PruneOn | ( |  | ) | `[virtual]`

| When prune is on, only closed loops are left unchanged.

virtual void vtkImageSkeleton2D::PruneOff | ( |  | ) | `[virtual]`

| When prune is on, only closed loops are left unchanged.

void vtkImageSkeleton2D::SetNumberOfIterations | ( | int | num | ) | `[virtual]`

| Sets the number of cycles in the erosion. Reimplemented from vtkImageIterateFilter.

virtual void vtkImageSkeleton2D::IterativeExecuteData | ( | vtkImageData * | in,
|  | vtkImageData * | out
| ) | `[inline, virtual]`

| Implements vtkImageIterateFilter. Definition at line 69 of file vtkImageSkeleton2D.h. References vtkImageToImageFilter::MultiThread().

void vtkImageSkeleton2D::ComputeInputUpdateExtent | ( | int | inExt[6],
|  | int | outExt[6]
| ) | `[protected, virtual]`

| Reimplemented from vtkImageIterateFilter.

void vtkImageSkeleton2D::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | outExt[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

int vtkImageSkeleton2D::Prune`[protected]`

| Definition at line 76 of file vtkImageSkeleton2D.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageSkeleton2D.h